<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="sp op java " >

<xsl:param name="vSpace"/>
<xsl:param name="vCode"/>

<xsl:template match="/sc:item">
<xsl:apply-templates select="op:ue"/>
</xsl:template>

<xsl:template match="sc:item/op:ue">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:ueM"><xsl:value-of select="sp:title"/></xsl:for-each></title>
<xsl:apply-templates/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:courseUa[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUa' or name()='sp:assmntUa' or name()='sp:courseUc' or name()='sp:practUc')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_ue:courseUa" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:assmntUa[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUa' or name()='sp:assmntUa' or name()='sp:courseUc' or name()='sp:practUc')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_ue:assmntUa" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:courseUc[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUa' or name()='sp:assmntUa' or name()='sp:courseUc' or name()='sp:practUc')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_ue:courseUc" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:practUc[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUa' or name()='sp:assmntUa' or name()='sp:courseUc' or name()='sp:practUc')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_ue:practUc" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:trainUcMcqSur[@sc:refUri]">
<attrRef nm="op_ue:trainUcMcqSur" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:trainUcMcqMur[@sc:refUri]">
<attrRef nm="op_ue:trainUcMcqMur" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:trainUcMatch[@sc:refUri]">
<attrRef nm="op_ue:trainUcMatch" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:trainUcOrdWord[@sc:refUri]">
<attrRef nm="op_ue:trainUcOrdWord" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:trainUcCloze[@sc:refUri]">
<attrRef nm="op_ue:trainUcCloze" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ue/sp:trainUcField[@sc:refUri]">
<attrRef nm="op_ue:trainUcField" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>




				
			



				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='acr'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:acr" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='glos'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:glos" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='bib'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:bib" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:ref" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='docLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:docLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='resLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ucLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:ucLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:img[@sc:refUri]">
<attrRef nm="op_res:img" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:tab[@sc:refUri]">
<attrRef nm="op_res:tab" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:graph[@sc:refUri]">
<attrRef nm="op_res:graph" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:vid[@sc:refUri]">
<attrRef nm="op_res:vid" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:int[@sc:refUri]">
<attrRef nm="op_res:int" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:zoom[@sc:refUri]">
<attrRef nm="op_res:zoom" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:form[@sc:refUri]">
<attrRef nm="op_res:form" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>


				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='acr'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:acr" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='glos'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:glos" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='bib'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:bib" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:ref" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='docLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:docLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='resLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ucLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:ucLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes/sp:img[@sc:refUri]">
<attrRef nm="op_txtRes:img" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>




				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='acr'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:acr" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='glos'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:glos" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='bib'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:bib" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:ref" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='docLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:docLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='resLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ucLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:ucLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>


				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='acr'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:uLinkTag:acr" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='glos'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:uLinkTag:glos" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:uLinkTag:ref" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelImg/sp:img[@sc:refUri]">
<attrRef nm="op_labelImg:img" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>

				
			









<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:courseUc[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUa' or name()='sp:assmntUa' or name()='sp:courseUc' or name()='sp:practUc')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_ueDiv:courseUc" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:courseUa[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUa' or name()='sp:assmntUa' or name()='sp:courseUc' or name()='sp:practUc')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_ueDiv:courseUa" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:assmntUa[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUa' or name()='sp:assmntUa' or name()='sp:courseUc' or name()='sp:practUc')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_ueDiv:assmntUa" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:practUc[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUa' or name()='sp:assmntUa' or name()='sp:courseUc' or name()='sp:practUc')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_ueDiv:practUc" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:trainUcMcqSur[@sc:refUri]">
<attrRef nm="op_ueDiv:trainUcMcqSur" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:trainUcMcqMur[@sc:refUri]">
<attrRef nm="op_ueDiv:trainUcMcqMur" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:trainUcMatch[@sc:refUri]">
<attrRef nm="op_ueDiv:trainUcMatch" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:trainUcOrdWord[@sc:refUri]">
<attrRef nm="op_ueDiv:trainUcOrdWord" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:trainUcCloze[@sc:refUri]">
<attrRef nm="op_ueDiv:trainUcCloze" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ueDiv/sp:trainUcField[@sc:refUri]">
<attrRef nm="op_ueDiv:trainUcField" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:assmntUa/sp:quiz[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:quiz')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_assmntUa:quiz" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa/sp:courseUc[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUcMcqSur' or name()='sp:trainUcMcqMur' or name()='sp:trainUcMatch' or name()='sp:trainUcOrdWord' or name()='sp:trainUcCloze' or name()='sp:trainUcField')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_courseUa:courseUc" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa/sp:practUc[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUcMcqSur' or name()='sp:trainUcMcqMur' or name()='sp:trainUcMatch' or name()='sp:trainUcOrdWord' or name()='sp:trainUcCloze' or name()='sp:trainUcField')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_courseUa:practUc" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa/sp:trainUcMcqSur[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUcMcqSur' or name()='sp:trainUcMcqMur' or name()='sp:trainUcMatch' or name()='sp:trainUcOrdWord' or name()='sp:trainUcCloze' or name()='sp:trainUcField')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_courseUa:trainUcMcqSur" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa/sp:trainUcMcqMur[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUcMcqSur' or name()='sp:trainUcMcqMur' or name()='sp:trainUcMatch' or name()='sp:trainUcOrdWord' or name()='sp:trainUcCloze' or name()='sp:trainUcField')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_courseUa:trainUcMcqMur" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa/sp:trainUcMatch[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUcMcqSur' or name()='sp:trainUcMcqMur' or name()='sp:trainUcMatch' or name()='sp:trainUcOrdWord' or name()='sp:trainUcCloze' or name()='sp:trainUcField')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_courseUa:trainUcMatch" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa/sp:trainUcOrdWord[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUcMcqSur' or name()='sp:trainUcMcqMur' or name()='sp:trainUcMatch' or name()='sp:trainUcOrdWord' or name()='sp:trainUcCloze' or name()='sp:trainUcField')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_courseUa:trainUcOrdWord" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa/sp:trainUcCloze[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUcMcqSur' or name()='sp:trainUcMcqMur' or name()='sp:trainUcMatch' or name()='sp:trainUcOrdWord' or name()='sp:trainUcCloze' or name()='sp:trainUcField')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_courseUa:trainUcCloze" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa/sp:trainUcField[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUcMcqSur' or name()='sp:trainUcMcqMur' or name()='sp:trainUcMatch' or name()='sp:trainUcOrdWord' or name()='sp:trainUcCloze' or name()='sp:trainUcField')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_courseUa:trainUcField" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:genRef/sp:ref[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:ref')]">
<cPbs><pb msg="An item was referenced more than once!" typ="Error">
<xsl:value-of select="formatStr('Please delete one reference to the %s item .', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_genRef:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>



<xsl:template match="text()|@*"/>
</xsl:stylesheet>